Loading...
Searching...
No Matches
laset: Set matrix to constants
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(A_{ij} =\) diag if \(i=j\); \(A_{ij} =\) offdiag otherwise. More...

## Functions

void | magmablas_claset (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magmaFloatComplex offdiag, magmaFloatComplex diag, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| CLASET initializes a 2-D array A to DIAG on the diagonal and OFFDIAG on the off-diagonals.
void | magmablas_dlaset (magma_uplo_t uplo, magma_int_t m, magma_int_t n, double offdiag, double diag, magmaDouble_ptr dA, magma_int_t ldda, magma_queue_t queue)
| DLASET initializes a 2-D array A to DIAG on the diagonal and OFFDIAG on the off-diagonals.
void | magmablas_slaset (magma_uplo_t uplo, magma_int_t m, magma_int_t n, float offdiag, float diag, magmaFloat_ptr dA, magma_int_t ldda, magma_queue_t queue)
| SLASET initializes a 2-D array A to DIAG on the diagonal and OFFDIAG on the off-diagonals.
void | magmablas_zlaset (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magmaDoubleComplex offdiag, magmaDoubleComplex diag, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| ZLASET initializes a 2-D array A to DIAG on the diagonal and OFFDIAG on the off-diagonals.

## Detailed Description

\(A_{ij} =\) diag if \(i=j\); \(A_{ij} =\) offdiag otherwise.

## Function Documentation

## magmablas_claset()

void magmablas_claset | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex | offdiag,
|  | magmaFloatComplex | diag,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

CLASET initializes a 2-D array A to DIAG on the diagonal and OFFDIAG on the off-diagonals.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be set.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | offdiag | COMPLEX The scalar OFFDIAG. (In LAPACK this is called ALPHA.)
  [in] | diag | COMPLEX The scalar DIAG. (In LAPACK this is called BETA.)
  [in] | dA | COMPLEX array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, A(i,j) = OFFDIAG, 1 <= i <= m, 1 <= j <= n, i != j; and A(i,i) = DIAG, 1 <= i <= min(m,n)
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dlaset()

void magmablas_dlaset | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | double | offdiag,
|  | double | diag,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

DLASET initializes a 2-D array A to DIAG on the diagonal and OFFDIAG on the off-diagonals.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be set.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | offdiag | DOUBLE PRECISION The scalar OFFDIAG. (In LAPACK this is called ALPHA.)
  [in] | diag | DOUBLE PRECISION The scalar DIAG. (In LAPACK this is called BETA.)
  [in] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, A(i,j) = OFFDIAG, 1 <= i <= m, 1 <= j <= n, i != j; and A(i,i) = DIAG, 1 <= i <= min(m,n)
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_slaset()

void magmablas_slaset | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | float | offdiag,
|  | float | diag,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

SLASET initializes a 2-D array A to DIAG on the diagonal and OFFDIAG on the off-diagonals.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be set.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | offdiag | REAL The scalar OFFDIAG. (In LAPACK this is called ALPHA.)
  [in] | diag | REAL The scalar DIAG. (In LAPACK this is called BETA.)
  [in] | dA | REAL array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, A(i,j) = OFFDIAG, 1 <= i <= m, 1 <= j <= n, i != j; and A(i,i) = DIAG, 1 <= i <= min(m,n)
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zlaset()

void magmablas_zlaset | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex | offdiag,
|  | magmaDoubleComplex | diag,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

ZLASET initializes a 2-D array A to DIAG on the diagonal and OFFDIAG on the off-diagonals.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be set.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | offdiag | COMPLEX_16 The scalar OFFDIAG. (In LAPACK this is called ALPHA.)
  [in] | diag | COMPLEX_16 The scalar DIAG. (In LAPACK this is called BETA.)
  [in] | dA | COMPLEX_16 array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, A(i,j) = OFFDIAG, 1 <= i <= m, 1 <= j <= n, i != j; and A(i,i) = DIAG, 1 <= i <= min(m,n)
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.